/* Generated by re2c 4.1 */
/*
  +----------------------------------------------------------------------+
  | Copyright (c) The PHP Group                                          |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.01 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | https://www.php.net/license/3_01.txt                                 |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author: Jakub Zelenka <bukka@php.net>                                |
  +----------------------------------------------------------------------+
*/

#include "php.h"
#include "php_json_scanner.h"
#include "php_json_scanner_defs.h"
#include "php_json_parser.h"
#include "json_parser.tab.h"

#define	YYCTYPE     php_json_ctype
#define	YYCURSOR    s->cursor
#define	YYLIMIT     s->limit
#define	YYMARKER    s->marker
#define	YYCTXMARKER s->ctxmarker

#define YYGETCONDITION()        s->state
#define YYSETCONDITION(yystate) s->state = yystate

#define	YYFILL(n)

#define PHP_JSON_CONDITION_SET(condition) YYSETCONDITION(yyc##condition)
#define PHP_JSON_CONDITION_GOTO(condition) goto yyc_##condition
#define PHP_JSON_CONDITION_SET_AND_GOTO(condition) \
	PHP_JSON_CONDITION_SET(condition); \
	PHP_JSON_CONDITION_GOTO(condition)
#define PHP_JSON_CONDITION_GOTO_STR_P2() \
	do { \
		if (s->utf8_invalid) { \
			PHP_JSON_CONDITION_GOTO(STR_P2_BIN); \
		} else { \
			PHP_JSON_CONDITION_GOTO(STR_P2_UTF); \
		} \
	} while(0)


#define PHP_JSON_SCANNER_COPY_ESC() php_json_scanner_copy_string(s, 0)
#define PHP_JSON_SCANNER_COPY_UTF() php_json_scanner_copy_string(s, 5)
#define PHP_JSON_SCANNER_COPY_UTF_SP() php_json_scanner_copy_string(s, 11)

#define PHP_JSON_INT_MAX_LENGTH (MAX_LENGTH_OF_LONG - 1)


static void php_json_scanner_copy_string(php_json_scanner *s, size_t esc_size)
{
	size_t len = (size_t)(s->cursor - s->str_start - esc_size - 1);
	if (len) {
		memcpy(s->pstr, s->str_start, len);
		s->pstr += len;
	}
}

static int php_json_hex_to_int(unsigned char code)
{
	if (code >= '0' && code <= '9') {
		return code - '0';
	} else if (code >= 'A' && code <= 'F') {
		return code - ('A' - 10);
	} else if (code >= 'a' && code <= 'f') {
		return code - ('a' - 10);
	} else {
		/* this should never happened (just to suppress compiler warning) */
		return -1;
	}
}

static int php_json_ucs2_to_int_ex(php_json_scanner *s, int size, int start)
{
	int i, code = 0;
	php_json_ctype *pc = s->cursor - start;
	for (i = 0; i < size; i++) {
		code |= php_json_hex_to_int(*(pc--)) << (i * 4);
	}
	return code;
}

static int php_json_ucs2_to_int(php_json_scanner *s, int size)
{
	return php_json_ucs2_to_int_ex(s, size, 1);
}

void php_json_scanner_init(php_json_scanner *s, const char *str, size_t str_len, int options)
{
	s->cursor = (php_json_ctype *) str;
	s->limit = (php_json_ctype *) str + str_len;
	s->options = options;
	PHP_JSON_CONDITION_SET(JS);
}

int php_json_scan(php_json_scanner *s)
{
	ZVAL_NULL(&s->value);

std:
	s->token = s->cursor;


	{
		YYCTYPE yych;
		unsigned int yyaccept = 0;
		static const void* yyctable[4] = {
			&&yyc_JS,
			&&yyc_STR_P1,
			&&yyc_STR_P2_BIN,
			&&yyc_STR_P2_UTF
		};
		static const unsigned char yybm_JS[256] = {
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,  64,   0,   0,   0,  64,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			 64,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			128, 128, 128, 128, 128, 128, 128, 128,
			128, 128,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0,
			  0,   0,   0,   0,   0,   0,   0,   0
		};
		goto *yyctable[YYGETCONDITION()];
/* *********************************** */
yyc_JS:
		yych = *YYCURSOR;
		{
			static const void* yytarget[256] = {
				 &&yy1,  &&yy2,  &&yy2,  &&yy2,  &&yy2,  &&yy2,  &&yy2,  &&yy2,
				 &&yy2,  &&yy3,  &&yy6,  &&yy2,  &&yy2,  &&yy7,  &&yy2,  &&yy2,
				 &&yy2,  &&yy2,  &&yy2,  &&yy2,  &&yy2,  &&yy2,  &&yy2,  &&yy2,
				 &&yy2,  &&yy2,  &&yy2,  &&yy2,  &&yy2,  &&yy2,  &&yy2,  &&yy2,
				 &&yy3,  &&yy8, &&yy10,  &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,
				 &&yy8,  &&yy8,  &&yy8,  &&yy8, &&yy11, &&yy12,  &&yy8,  &&yy8,
				&&yy13, &&yy15, &&yy15, &&yy15, &&yy15, &&yy15, &&yy15, &&yy15,
				&&yy15, &&yy15, &&yy16,  &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,
				 &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,
				 &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,
				 &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,
				 &&yy8,  &&yy8,  &&yy8, &&yy17,  &&yy8, &&yy18,  &&yy8,  &&yy8,
				 &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8, &&yy19,  &&yy8,
				 &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8,  &&yy8, &&yy20,  &&yy8,
				 &&yy8,  &&yy8,  &&yy8,  &&yy8, &&yy21,  &&yy8,  &&yy8,  &&yy8,
				 &&yy8,  &&yy8,  &&yy8, &&yy22,  &&yy8, &&yy23,  &&yy8,  &&yy8,
				&&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24,
				&&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24,
				&&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24,
				&&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24,
				&&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24,
				&&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24,
				&&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24,
				&&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24,
				&&yy24, &&yy24, &&yy26, &&yy26, &&yy26, &&yy26, &&yy26, &&yy26,
				&&yy26, &&yy26, &&yy26, &&yy26, &&yy26, &&yy26, &&yy26, &&yy26,
				&&yy26, &&yy26, &&yy26, &&yy26, &&yy26, &&yy26, &&yy26, &&yy26,
				&&yy26, &&yy26, &&yy26, &&yy26, &&yy26, &&yy26, &&yy26, &&yy26,
				&&yy27, &&yy28, &&yy28, &&yy28, &&yy28, &&yy28, &&yy28, &&yy28,
				&&yy28, &&yy28, &&yy28, &&yy28, &&yy28, &&yy29, &&yy28, &&yy28,
				&&yy30, &&yy31, &&yy31, &&yy31, &&yy32, &&yy24, &&yy24, &&yy24,
				&&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24, &&yy24
			};
			goto *yytarget[yych];
		}
yy1:
		++YYCURSOR;
		{
		if (s->limit < s->cursor) {
			return PHP_JSON_T_EOI;
		} else {
			s->errcode = PHP_JSON_ERROR_CTRL_CHAR;
			return PHP_JSON_T_ERROR;
		}
	}
yy2:
		++YYCURSOR;
		{
		s->errcode = PHP_JSON_ERROR_CTRL_CHAR;
		return PHP_JSON_T_ERROR;
	}
yy3:
		yych = *++YYCURSOR;
yy4:
		if (yybm_JS[0+yych] & 64) goto yy3;
yy5:
		{ goto std; }
yy6:
		++YYCURSOR;
		goto yy5;
yy7:
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy6;
		goto yy4;
yy8:
		++YYCURSOR;
yy9:
		{
		s->errcode = PHP_JSON_ERROR_SYNTAX;
		return PHP_JSON_T_ERROR;
	}
yy10:
		++YYCURSOR;
		{
		s->str_start = s->cursor;
		s->str_esc = 0;
		s->utf8_invalid = 0;
		s->utf8_invalid_count = 0;
		PHP_JSON_CONDITION_SET_AND_GOTO(STR_P1);
	}
yy11:
		++YYCURSOR;
		{ return ','; }
yy12:
		yych = *++YYCURSOR;
		if (yych <= '/') goto yy9;
		if (yych <= '0') goto yy13;
		if (yych <= '9') goto yy15;
		goto yy9;
yy13:
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'D') {
			if (yych == '.') goto yy33;
		} else {
			if (yych <= 'E') goto yy35;
			if (yych == 'e') goto yy35;
		}
yy14:
		{
		bool bigint = 0, negative = s->token[0] == '-';
		size_t digits = (size_t) (s->cursor - s->token - negative);
		if (digits >= PHP_JSON_INT_MAX_LENGTH) {
			if (digits == PHP_JSON_INT_MAX_LENGTH) {
				int cmp = strncmp((char *) (s->token + negative), LONG_MIN_DIGITS, PHP_JSON_INT_MAX_LENGTH);
				if (!(cmp < 0 || (cmp == 0 && negative))) {
					bigint = 1;
				}
			} else {
				bigint = 1;
			}
		}
		if (!bigint) {
			ZVAL_LONG(&s->value, ZEND_STRTOL((char *) s->token, NULL, 10));
			return PHP_JSON_T_INT;
		} else if (s->options & PHP_JSON_BIGINT_AS_STRING) {
			ZVAL_STRINGL(&s->value, (char *) s->token, (size_t)(s->cursor - s->token));
			return PHP_JSON_T_STRING;
		} else {
			ZVAL_DOUBLE(&s->value, zend_strtod((char *) s->token, NULL));
			return PHP_JSON_T_DOUBLE;
		}
	}
yy15:
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm_JS[0+yych] & 128) goto yy15;
		if (yych <= 'D') {
			if (yych == '.') goto yy33;
			goto yy14;
		} else {
			if (yych <= 'E') goto yy35;
			if (yych == 'e') goto yy35;
			goto yy14;
		}
yy16:
		++YYCURSOR;
		{ return ':'; }
yy17:
		++YYCURSOR;
		{ return '['; }
yy18:
		++YYCURSOR;
		{ return ']'; }
yy19:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'a') goto yy36;
		goto yy9;
yy20:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'u') goto yy37;
		goto yy9;
yy21:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'r') goto yy38;
		goto yy9;
yy22:
		++YYCURSOR;
		{ return '{'; }
yy23:
		++YYCURSOR;
		{ return '}'; }
yy24:
		++YYCURSOR;
yy25:
		{
		s->errcode = PHP_JSON_ERROR_UTF8;
		return PHP_JSON_T_ERROR;
	}
yy26:
		yych = *++YYCURSOR;
		if (yych <= 0x7F) goto yy25;
		if (yych <= 0xBF) goto yy8;
		goto yy25;
yy27:
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x9F) goto yy25;
		if (yych <= 0xBF) goto yy39;
		goto yy25;
yy28:
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x7F) goto yy25;
		if (yych <= 0xBF) goto yy39;
		goto yy25;
yy29:
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x7F) goto yy25;
		if (yych <= 0x9F) goto yy39;
		goto yy25;
yy30:
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x8F) goto yy25;
		if (yych <= 0xBF) goto yy40;
		goto yy25;
yy31:
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x7F) goto yy25;
		if (yych <= 0xBF) goto yy40;
		goto yy25;
yy32:
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x7F) goto yy25;
		if (yych <= 0x8F) goto yy40;
		goto yy25;
yy33:
		yych = *++YYCURSOR;
		if (yych <= '/') goto yy34;
		if (yych <= '9') goto yy41;
yy34:
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept == 0) goto yy14;
			else goto yy9;
		} else {
			if (yyaccept == 2) goto yy25;
			else goto yy42;
		}
yy35:
		yych = *++YYCURSOR;
		if (yych <= ',') {
			if (yych == '+') goto yy43;
			goto yy34;
		} else {
			if (yych <= '-') goto yy43;
			if (yych <= '/') goto yy34;
			if (yych <= '9') goto yy44;
			goto yy34;
		}
yy36:
		yych = *++YYCURSOR;
		if (yych == 'l') goto yy45;
		goto yy34;
yy37:
		yych = *++YYCURSOR;
		if (yych == 'l') goto yy46;
		goto yy34;
yy38:
		yych = *++YYCURSOR;
		if (yych == 'u') goto yy47;
		goto yy34;
yy39:
		yych = *++YYCURSOR;
		if (yych <= 0x7F) goto yy34;
		if (yych <= 0xBF) goto yy8;
		goto yy34;
yy40:
		yych = *++YYCURSOR;
		if (yych <= 0x7F) goto yy34;
		if (yych <= 0xBF) goto yy39;
		goto yy34;
yy41:
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'D') {
			if (yych <= '/') goto yy42;
			if (yych <= '9') goto yy41;
		} else {
			if (yych <= 'E') goto yy35;
			if (yych == 'e') goto yy35;
		}
yy42:
		{
		ZVAL_DOUBLE(&s->value, zend_strtod((char *) s->token, NULL));
		return PHP_JSON_T_DOUBLE;
	}
yy43:
		yych = *++YYCURSOR;
		if (yych <= '/') goto yy34;
		if (yych >= ':') goto yy34;
yy44:
		yych = *++YYCURSOR;
		if (yych <= '/') goto yy42;
		if (yych <= '9') goto yy44;
		goto yy42;
yy45:
		yych = *++YYCURSOR;
		if (yych == 's') goto yy48;
		goto yy34;
yy46:
		yych = *++YYCURSOR;
		if (yych == 'l') goto yy49;
		goto yy34;
yy47:
		yych = *++YYCURSOR;
		if (yych == 'e') goto yy50;
		goto yy34;
yy48:
		yych = *++YYCURSOR;
		if (yych == 'e') goto yy51;
		goto yy34;
yy49:
		++YYCURSOR;
		{
		ZVAL_NULL(&s->value);
		return PHP_JSON_T_NUL;
	}
yy50:
		++YYCURSOR;
		{
		ZVAL_TRUE(&s->value);
		return PHP_JSON_T_TRUE;
	}
yy51:
		++YYCURSOR;
		{
		ZVAL_FALSE(&s->value);
		return PHP_JSON_T_FALSE;
	}
/* *********************************** */
yyc_STR_P1:
		yych = *YYCURSOR;
		{
			static const void* yytarget[256] = {
				&&yy53, &&yy53, &&yy53, &&yy53, &&yy53, &&yy53, &&yy53, &&yy53,
				&&yy53, &&yy53, &&yy53, &&yy53, &&yy53, &&yy53, &&yy53, &&yy53,
				&&yy53, &&yy53, &&yy53, &&yy53, &&yy53, &&yy53, &&yy53, &&yy53,
				&&yy53, &&yy53, &&yy53, &&yy53, &&yy53, &&yy53, &&yy53, &&yy53,
				&&yy54, &&yy54, &&yy55, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54,
				&&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54,
				&&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54,
				&&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54,
				&&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54,
				&&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54,
				&&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54,
				&&yy54, &&yy54, &&yy54, &&yy54, &&yy56, &&yy54, &&yy54, &&yy54,
				&&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54,
				&&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54,
				&&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54,
				&&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54, &&yy54,
				&&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58,
				&&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58,
				&&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58,
				&&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58,
				&&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58,
				&&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58,
				&&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58,
				&&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58,
				&&yy58, &&yy58, &&yy60, &&yy60, &&yy60, &&yy60, &&yy60, &&yy60,
				&&yy60, &&yy60, &&yy60, &&yy60, &&yy60, &&yy60, &&yy60, &&yy60,
				&&yy60, &&yy60, &&yy60, &&yy60, &&yy60, &&yy60, &&yy60, &&yy60,
				&&yy60, &&yy60, &&yy60, &&yy60, &&yy60, &&yy60, &&yy60, &&yy60,
				&&yy61, &&yy62, &&yy62, &&yy62, &&yy62, &&yy62, &&yy62, &&yy62,
				&&yy62, &&yy62, &&yy62, &&yy62, &&yy62, &&yy63, &&yy62, &&yy62,
				&&yy64, &&yy65, &&yy65, &&yy65, &&yy66, &&yy58, &&yy58, &&yy58,
				&&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58, &&yy58
			};
			goto *yytarget[yych];
		}
yy53:
		++YYCURSOR;
		{
		s->errcode = PHP_JSON_ERROR_CTRL_CHAR;
		return PHP_JSON_T_ERROR;
	}
yy54:
		++YYCURSOR;
		{ PHP_JSON_CONDITION_GOTO(STR_P1); }
yy55:
		++YYCURSOR;
		{
		zend_string *str;
		size_t len = (size_t)(s->cursor - s->str_start - s->str_esc - 1 + s->utf8_invalid_count);
		if (len == 0) {
			PHP_JSON_CONDITION_SET(JS);
			ZVAL_EMPTY_STRING(&s->value);
			return PHP_JSON_T_ESTRING;
		}
		str = zend_string_alloc(len, 0);
		ZSTR_VAL(str)[len] = '\0';
		ZVAL_STR(&s->value, str);
		if (s->str_esc || s->utf8_invalid) {
			s->pstr = (php_json_ctype *) Z_STRVAL(s->value);
			s->cursor = s->str_start;
			PHP_JSON_CONDITION_GOTO_STR_P2();
		} else {
			memcpy(Z_STRVAL(s->value), s->str_start, len);
			PHP_JSON_CONDITION_SET(JS);
			return PHP_JSON_T_STRING;
		}
	}
yy56:
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		{
			static const void* yytarget[256] = {
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy67, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy67,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy67, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy67, &&yy57, &&yy57, &&yy57, &&yy67, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy67, &&yy57,
				&&yy57, &&yy57, &&yy67, &&yy57, &&yy67, &&yy68, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57,
				&&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57, &&yy57
			};
			goto *yytarget[yych];
		}
yy57:
		{
		s->errcode = PHP_JSON_ERROR_SYNTAX;
		return PHP_JSON_T_ERROR;
	}
yy58:
		++YYCURSOR;
yy59:
		{
		if (s->options & (PHP_JSON_INVALID_UTF8_IGNORE | PHP_JSON_INVALID_UTF8_SUBSTITUTE)) {
			if (s->options & PHP_JSON_INVALID_UTF8_SUBSTITUTE) {
				if (s->utf8_invalid_count > INT_MAX - 2) {
					s->errcode = PHP_JSON_ERROR_UTF8;
					return PHP_JSON_T_ERROR;
				}
				s->utf8_invalid_count += 2;
			} else {
				s->utf8_invalid_count--;
			}
			s->utf8_invalid = 1;
			PHP_JSON_CONDITION_GOTO(STR_P1);
		}
		s->errcode = PHP_JSON_ERROR_UTF8;
		return PHP_JSON_T_ERROR;
	}
yy60:
		yych = *++YYCURSOR;
		if (yych <= 0x7F) goto yy59;
		if (yych <= 0xBF) goto yy54;
		goto yy59;
yy61:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x9F) goto yy59;
		if (yych <= 0xBF) goto yy70;
		goto yy59;
yy62:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x7F) goto yy59;
		if (yych <= 0xBF) goto yy70;
		goto yy59;
yy63:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x7F) goto yy59;
		if (yych <= 0x9F) goto yy70;
		goto yy59;
yy64:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x8F) goto yy59;
		if (yych <= 0xBF) goto yy71;
		goto yy59;
yy65:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x7F) goto yy59;
		if (yych <= 0xBF) goto yy71;
		goto yy59;
yy66:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x7F) goto yy59;
		if (yych <= 0x8F) goto yy71;
		goto yy59;
yy67:
		++YYCURSOR;
		{
		s->str_esc++;
		PHP_JSON_CONDITION_GOTO(STR_P1);
	}
yy68:
		yych = *++YYCURSOR;
		{
			static const void* yytarget[256] = {
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy72, &&yy73, &&yy73, &&yy73, &&yy73, &&yy73, &&yy73, &&yy73,
				&&yy73, &&yy73, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy73, &&yy73, &&yy73, &&yy74, &&yy73, &&yy73, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy73, &&yy73, &&yy73, &&yy74, &&yy73, &&yy73, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69
			};
			goto *yytarget[yych];
		}
yy69:
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept == 0) goto yy57;
			else goto yy59;
		} else {
			goto yy89;
		}
yy70:
		yych = *++YYCURSOR;
		if (yych <= 0x7F) goto yy69;
		if (yych <= 0xBF) goto yy54;
		goto yy69;
yy71:
		yych = *++YYCURSOR;
		if (yych <= 0x7F) goto yy69;
		if (yych <= 0xBF) goto yy70;
		goto yy69;
yy72:
		yych = *++YYCURSOR;
		{
			static const void* yytarget[256] = {
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy75, &&yy76, &&yy76, &&yy76, &&yy76, &&yy76, &&yy76, &&yy76,
				&&yy77, &&yy77, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy77, &&yy77, &&yy77, &&yy77, &&yy77, &&yy77, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy77, &&yy77, &&yy77, &&yy77, &&yy77, &&yy77, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69
			};
			goto *yytarget[yych];
		}
yy73:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy69;
			if (yych <= '9') goto yy77;
			goto yy69;
		} else {
			if (yych <= 'F') goto yy77;
			if (yych <= '`') goto yy69;
			if (yych <= 'f') goto yy77;
			goto yy69;
		}
yy74:
		yych = *++YYCURSOR;
		{
			static const void* yytarget[256] = {
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy77, &&yy77, &&yy77, &&yy77, &&yy77, &&yy77, &&yy77, &&yy77,
				&&yy78, &&yy78, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy78, &&yy78, &&yy79, &&yy79, &&yy79, &&yy79, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy78, &&yy78, &&yy79, &&yy79, &&yy79, &&yy79, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69,
				&&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69, &&yy69
			};
			goto *yytarget[yych];
		}
yy75:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy69;
			if (yych <= '7') goto yy80;
			if (yych <= '9') goto yy81;
			goto yy69;
		} else {
			if (yych <= 'F') goto yy81;
			if (yych <= '`') goto yy69;
			if (yych <= 'f') goto yy81;
			goto yy69;
		}
yy76:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy69;
			if (yych <= '9') goto yy81;
			goto yy69;
		} else {
			if (yych <= 'F') goto yy81;
			if (yych <= '`') goto yy69;
			if (yych <= 'f') goto yy81;
			goto yy69;
		}
yy77:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy69;
			if (yych <= '9') goto yy82;
			goto yy69;
		} else {
			if (yych <= 'F') goto yy82;
			if (yych <= '`') goto yy69;
			if (yych <= 'f') goto yy82;
			goto yy69;
		}
yy78:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy69;
			if (yych <= '9') goto yy83;
			goto yy69;
		} else {
			if (yych <= 'F') goto yy83;
			if (yych <= '`') goto yy69;
			if (yych <= 'f') goto yy83;
			goto yy69;
		}
yy79:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy69;
			if (yych <= '9') goto yy84;
			goto yy69;
		} else {
			if (yych <= 'F') goto yy84;
			if (yych <= '`') goto yy69;
			if (yych <= 'f') goto yy84;
			goto yy69;
		}
yy80:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy69;
			if (yych <= '9') goto yy85;
			goto yy69;
		} else {
			if (yych <= 'F') goto yy85;
			if (yych <= '`') goto yy69;
			if (yych <= 'f') goto yy85;
			goto yy69;
		}
yy81:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy69;
			if (yych <= '9') goto yy86;
			goto yy69;
		} else {
			if (yych <= 'F') goto yy86;
			if (yych <= '`') goto yy69;
			if (yych <= 'f') goto yy86;
			goto yy69;
		}
yy82:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy69;
			if (yych <= '9') goto yy87;
			goto yy69;
		} else {
			if (yych <= 'F') goto yy87;
			if (yych <= '`') goto yy69;
			if (yych <= 'f') goto yy87;
			goto yy69;
		}
yy83:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy69;
			if (yych <= '9') goto yy88;
			goto yy69;
		} else {
			if (yych <= 'F') goto yy88;
			if (yych <= '`') goto yy69;
			if (yych <= 'f') goto yy88;
			goto yy69;
		}
yy84:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy69;
			if (yych <= '9') goto yy90;
			goto yy69;
		} else {
			if (yych <= 'F') goto yy90;
			if (yych <= '`') goto yy69;
			if (yych <= 'f') goto yy90;
			goto yy69;
		}
yy85:
		++YYCURSOR;
		{
		s->str_esc += 5;
		PHP_JSON_CONDITION_GOTO(STR_P1);
	}
yy86:
		++YYCURSOR;
		{
		s->str_esc += 4;
		PHP_JSON_CONDITION_GOTO(STR_P1);
	}
yy87:
		++YYCURSOR;
		{
		s->str_esc += 3;
		PHP_JSON_CONDITION_GOTO(STR_P1);
	}
yy88:
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '\\') goto yy91;
yy89:
		{
		s->errcode = PHP_JSON_ERROR_UTF16;
		return PHP_JSON_T_ERROR;
	}
yy90:
		++YYCURSOR;
		goto yy89;
yy91:
		yych = *++YYCURSOR;
		if (yych != 'u') goto yy69;
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy92;
		if (yych != 'd') goto yy69;
yy92:
		yych = *++YYCURSOR;
		if (yych <= 'B') goto yy69;
		if (yych <= 'F') goto yy93;
		if (yych <= 'b') goto yy69;
		if (yych >= 'g') goto yy69;
yy93:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy69;
			if (yych >= ':') goto yy69;
		} else {
			if (yych <= 'F') goto yy94;
			if (yych <= '`') goto yy69;
			if (yych >= 'g') goto yy69;
		}
yy94:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy69;
			if (yych >= ':') goto yy69;
		} else {
			if (yych <= 'F') goto yy95;
			if (yych <= '`') goto yy69;
			if (yych >= 'g') goto yy69;
		}
yy95:
		++YYCURSOR;
		{
		s->str_esc += 8;
		PHP_JSON_CONDITION_GOTO(STR_P1);
	}
/* *********************************** */
yyc_STR_P2_BIN:
		yych = *YYCURSOR;
		{
			static const void* yytarget[256] = {
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy98,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy99,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				 &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,  &&yy97,
				&&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101,
				&&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101,
				&&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101,
				&&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101,
				&&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101,
				&&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101,
				&&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101,
				&&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101,
				&&yy101, &&yy101, &&yy103, &&yy103, &&yy103, &&yy103, &&yy103, &&yy103,
				&&yy103, &&yy103, &&yy103, &&yy103, &&yy103, &&yy103, &&yy103, &&yy103,
				&&yy103, &&yy103, &&yy103, &&yy103, &&yy103, &&yy103, &&yy103, &&yy103,
				&&yy103, &&yy103, &&yy103, &&yy103, &&yy103, &&yy103, &&yy103, &&yy103,
				&&yy104, &&yy105, &&yy105, &&yy105, &&yy105, &&yy105, &&yy105, &&yy105,
				&&yy105, &&yy105, &&yy105, &&yy105, &&yy105, &&yy106, &&yy105, &&yy105,
				&&yy107, &&yy108, &&yy108, &&yy108, &&yy109, &&yy101, &&yy101, &&yy101,
				&&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101, &&yy101
			};
			goto *yytarget[yych];
		}
yy97:
		++YYCURSOR;
		{ PHP_JSON_CONDITION_GOTO(STR_P2_BIN); }
yy98:
		++YYCURSOR;
		YYSETCONDITION(yycJS);
		{
		PHP_JSON_SCANNER_COPY_ESC();
		return PHP_JSON_T_STRING;
	}
yy99:
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'u') goto yy110;
yy100:
		{
		unsigned char esc;
		PHP_JSON_SCANNER_COPY_ESC();
		switch (*s->cursor) {
			case 'b':
				esc = '\b';
				break;
			case 'f':
				esc = '\f';				break;
			case 'n':
				esc = '\n';
				break;
			case 'r':
				esc = '\r';
				break;
			case 't':
				esc = '\t';
				break;
			case '\\':
			case '/':
			case '"':
				esc = *s->cursor;
				break;
			default:
				s->errcode = PHP_JSON_ERROR_SYNTAX;
				return PHP_JSON_T_ERROR;
		}
		*(s->pstr++) = esc;
		++YYCURSOR;
		s->str_start = s->cursor;
		PHP_JSON_CONDITION_GOTO_STR_P2();
	}
yy101:
		++YYCURSOR;
yy102:
		{
		if (s->utf8_invalid) {
			PHP_JSON_SCANNER_COPY_ESC();
			if (s->options & PHP_JSON_INVALID_UTF8_SUBSTITUTE) {
				*(s->pstr++) = (unsigned char) (0xe0 | (0xfffd >> 12));
				*(s->pstr++) = (unsigned char) (0x80 | ((0xfffd >> 6) & 0x3f));
				*(s->pstr++) = (unsigned char) (0x80 | (0xfffd & 0x3f));
			}
			s->str_start = s->cursor;
		}
		PHP_JSON_CONDITION_GOTO(STR_P2_BIN);
	}
yy103:
		yych = *++YYCURSOR;
		if (yych <= 0x7F) goto yy102;
		if (yych <= 0xBF) goto yy97;
		goto yy102;
yy104:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x9F) goto yy102;
		if (yych <= 0xBF) goto yy112;
		goto yy102;
yy105:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x7F) goto yy102;
		if (yych <= 0xBF) goto yy112;
		goto yy102;
yy106:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x7F) goto yy102;
		if (yych <= 0x9F) goto yy112;
		goto yy102;
yy107:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x8F) goto yy102;
		if (yych <= 0xBF) goto yy113;
		goto yy102;
yy108:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x7F) goto yy102;
		if (yych <= 0xBF) goto yy113;
		goto yy102;
yy109:
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x7F) goto yy102;
		if (yych <= 0x8F) goto yy113;
		goto yy102;
yy110:
		yych = *++YYCURSOR;
		{
			static const void* yytarget[256] = {
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy114, &&yy115, &&yy115, &&yy115, &&yy115, &&yy115, &&yy115, &&yy115,
				&&yy115, &&yy115, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy115, &&yy115, &&yy115, &&yy116, &&yy115, &&yy115, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy115, &&yy115, &&yy115, &&yy116, &&yy115, &&yy115, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111
			};
			goto *yytarget[yych];
		}
yy111:
		YYCURSOR = YYMARKER;
		if (yyaccept == 0) goto yy100;
		else goto yy102;
yy112:
		yych = *++YYCURSOR;
		if (yych <= 0x7F) goto yy111;
		if (yych <= 0xBF) goto yy97;
		goto yy111;
yy113:
		yych = *++YYCURSOR;
		if (yych <= 0x7F) goto yy111;
		if (yych <= 0xBF) goto yy112;
		goto yy111;
yy114:
		yych = *++YYCURSOR;
		{
			static const void* yytarget[256] = {
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy117, &&yy118, &&yy118, &&yy118, &&yy118, &&yy118, &&yy118, &&yy118,
				&&yy119, &&yy119, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy119, &&yy119, &&yy119, &&yy119, &&yy119, &&yy119, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy119, &&yy119, &&yy119, &&yy119, &&yy119, &&yy119, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111,
				&&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111, &&yy111
			};
			goto *yytarget[yych];
		}
yy115:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy111;
			if (yych <= '9') goto yy119;
			goto yy111;
		} else {
			if (yych <= 'F') goto yy119;
			if (yych <= '`') goto yy111;
			if (yych <= 'f') goto yy119;
			goto yy111;
		}
yy116:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy111;
			if (yych <= '7') goto yy119;
			if (yych <= '9') goto yy120;
			goto yy111;
		} else {
			if (yych <= 'B') goto yy120;
			if (yych <= '`') goto yy111;
			if (yych <= 'b') goto yy120;
			goto yy111;
		}
yy117:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy111;
			if (yych <= '7') goto yy121;
			if (yych <= '9') goto yy122;
			goto yy111;
		} else {
			if (yych <= 'F') goto yy122;
			if (yych <= '`') goto yy111;
			if (yych <= 'f') goto yy122;
			goto yy111;
		}
yy118:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy111;
			if (yych <= '9') goto yy122;
			goto yy111;
		} else {
			if (yych <= 'F') goto yy122;
			if (yych <= '`') goto yy111;
			if (yych <= 'f') goto yy122;
			goto yy111;
		}
yy119:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy111;
			if (yych <= '9') goto yy123;
			goto yy111;
		} else {
			if (yych <= 'F') goto yy123;
			if (yych <= '`') goto yy111;
			if (yych <= 'f') goto yy123;
			goto yy111;
		}
yy120:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy111;
			if (yych <= '9') goto yy124;
			goto yy111;
		} else {
			if (yych <= 'F') goto yy124;
			if (yych <= '`') goto yy111;
			if (yych <= 'f') goto yy124;
			goto yy111;
		}
yy121:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy111;
			if (yych <= '9') goto yy125;
			goto yy111;
		} else {
			if (yych <= 'F') goto yy125;
			if (yych <= '`') goto yy111;
			if (yych <= 'f') goto yy125;
			goto yy111;
		}
yy122:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy111;
			if (yych <= '9') goto yy126;
			goto yy111;
		} else {
			if (yych <= 'F') goto yy126;
			if (yych <= '`') goto yy111;
			if (yych <= 'f') goto yy126;
			goto yy111;
		}
yy123:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy111;
			if (yych <= '9') goto yy127;
			goto yy111;
		} else {
			if (yych <= 'F') goto yy127;
			if (yych <= '`') goto yy111;
			if (yych <= 'f') goto yy127;
			goto yy111;
		}
yy124:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy111;
			if (yych <= '9') goto yy128;
			goto yy111;
		} else {
			if (yych <= 'F') goto yy128;
			if (yych <= '`') goto yy111;
			if (yych <= 'f') goto yy128;
			goto yy111;
		}
yy125:
		++YYCURSOR;
		{
		int utf16 = php_json_ucs2_to_int(s, 2);
		PHP_JSON_SCANNER_COPY_UTF();
		*(s->pstr++) = (unsigned char) utf16;
		s->str_start = s->cursor;
		PHP_JSON_CONDITION_GOTO_STR_P2();
	}
yy126:
		++YYCURSOR;
		{
		int utf16 = php_json_ucs2_to_int(s, 3);
		PHP_JSON_SCANNER_COPY_UTF();
		*(s->pstr++) = (unsigned char) (0xc0 | (utf16 >> 6));
		*(s->pstr++) = (unsigned char) (0x80 | (utf16 & 0x3f));
		s->str_start = s->cursor;
		PHP_JSON_CONDITION_GOTO_STR_P2();
	}
yy127:
		++YYCURSOR;
		{
		int utf16 = php_json_ucs2_to_int(s, 4);
		PHP_JSON_SCANNER_COPY_UTF();
		*(s->pstr++) = (unsigned char) (0xe0 | (utf16 >> 12));
		*(s->pstr++) = (unsigned char) (0x80 | ((utf16 >> 6) & 0x3f));
		*(s->pstr++) = (unsigned char) (0x80 | (utf16 & 0x3f));
		s->str_start = s->cursor;
		PHP_JSON_CONDITION_GOTO_STR_P2();
	}
yy128:
		yych = *++YYCURSOR;
		if (yych != '\\') goto yy111;
		yych = *++YYCURSOR;
		if (yych != 'u') goto yy111;
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy129;
		if (yych != 'd') goto yy111;
yy129:
		yych = *++YYCURSOR;
		if (yych <= 'B') goto yy111;
		if (yych <= 'F') goto yy130;
		if (yych <= 'b') goto yy111;
		if (yych >= 'g') goto yy111;
yy130:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy111;
			if (yych >= ':') goto yy111;
		} else {
			if (yych <= 'F') goto yy131;
			if (yych <= '`') goto yy111;
			if (yych >= 'g') goto yy111;
		}
yy131:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy111;
			if (yych >= ':') goto yy111;
		} else {
			if (yych <= 'F') goto yy132;
			if (yych <= '`') goto yy111;
			if (yych >= 'g') goto yy111;
		}
yy132:
		++YYCURSOR;
		{
		int utf32, utf16_hi, utf16_lo;
		utf16_hi = php_json_ucs2_to_int(s, 4);
		utf16_lo = php_json_ucs2_to_int_ex(s, 4, 7);
		utf32 = ((utf16_lo & 0x3FF) << 10) + (utf16_hi & 0x3FF) + 0x10000;
		PHP_JSON_SCANNER_COPY_UTF_SP();
		*(s->pstr++) = (unsigned char) (0xf0 | (utf32 >> 18));
		*(s->pstr++) = (unsigned char) (0x80 | ((utf32 >> 12) & 0x3f));
		*(s->pstr++) = (unsigned char) (0x80 | ((utf32 >> 6) & 0x3f));
		*(s->pstr++) = (unsigned char) (0x80 | (utf32 & 0x3f));
		s->str_start = s->cursor;
		PHP_JSON_CONDITION_GOTO_STR_P2();
	}
/* *********************************** */
yyc_STR_P2_UTF:
		yych = *YYCURSOR;
		if (yych == '"') goto yy134;
		if (yych == '\\') goto yy135;
		++YYCURSOR;
		{ PHP_JSON_CONDITION_GOTO(STR_P2_UTF); }
yy134:
		++YYCURSOR;
		YYSETCONDITION(yycJS);
		{
		PHP_JSON_SCANNER_COPY_ESC();
		return PHP_JSON_T_STRING;
	}
yy135:
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == 'u') goto yy137;
yy136:
		{
		unsigned char esc;
		PHP_JSON_SCANNER_COPY_ESC();
		switch (*s->cursor) {
			case 'b':
				esc = '\b';
				break;
			case 'f':
				esc = '\f';				break;
			case 'n':
				esc = '\n';
				break;
			case 'r':
				esc = '\r';
				break;
			case 't':
				esc = '\t';
				break;
			case '\\':
			case '/':
			case '"':
				esc = *s->cursor;
				break;
			default:
				s->errcode = PHP_JSON_ERROR_SYNTAX;
				return PHP_JSON_T_ERROR;
		}
		*(s->pstr++) = esc;
		++YYCURSOR;
		s->str_start = s->cursor;
		PHP_JSON_CONDITION_GOTO_STR_P2();
	}
yy137:
		yych = *++YYCURSOR;
		{
			static const void* yytarget[256] = {
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy139, &&yy140, &&yy140, &&yy140, &&yy140, &&yy140, &&yy140, &&yy140,
				&&yy140, &&yy140, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy140, &&yy140, &&yy140, &&yy141, &&yy140, &&yy140, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy140, &&yy140, &&yy140, &&yy141, &&yy140, &&yy140, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138
			};
			goto *yytarget[yych];
		}
yy138:
		YYCURSOR = YYMARKER;
		goto yy136;
yy139:
		yych = *++YYCURSOR;
		{
			static const void* yytarget[256] = {
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy142, &&yy143, &&yy143, &&yy143, &&yy143, &&yy143, &&yy143, &&yy143,
				&&yy144, &&yy144, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy144, &&yy144, &&yy144, &&yy144, &&yy144, &&yy144, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy144, &&yy144, &&yy144, &&yy144, &&yy144, &&yy144, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138,
				&&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138, &&yy138
			};
			goto *yytarget[yych];
		}
yy140:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy138;
			if (yych <= '9') goto yy144;
			goto yy138;
		} else {
			if (yych <= 'F') goto yy144;
			if (yych <= '`') goto yy138;
			if (yych <= 'f') goto yy144;
			goto yy138;
		}
yy141:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy138;
			if (yych <= '7') goto yy144;
			if (yych <= '9') goto yy145;
			goto yy138;
		} else {
			if (yych <= 'B') goto yy145;
			if (yych <= '`') goto yy138;
			if (yych <= 'b') goto yy145;
			goto yy138;
		}
yy142:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy138;
			if (yych <= '7') goto yy146;
			if (yych <= '9') goto yy147;
			goto yy138;
		} else {
			if (yych <= 'F') goto yy147;
			if (yych <= '`') goto yy138;
			if (yych <= 'f') goto yy147;
			goto yy138;
		}
yy143:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy138;
			if (yych <= '9') goto yy147;
			goto yy138;
		} else {
			if (yych <= 'F') goto yy147;
			if (yych <= '`') goto yy138;
			if (yych <= 'f') goto yy147;
			goto yy138;
		}
yy144:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy138;
			if (yych <= '9') goto yy148;
			goto yy138;
		} else {
			if (yych <= 'F') goto yy148;
			if (yych <= '`') goto yy138;
			if (yych <= 'f') goto yy148;
			goto yy138;
		}
yy145:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy138;
			if (yych <= '9') goto yy149;
			goto yy138;
		} else {
			if (yych <= 'F') goto yy149;
			if (yych <= '`') goto yy138;
			if (yych <= 'f') goto yy149;
			goto yy138;
		}
yy146:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy138;
			if (yych <= '9') goto yy150;
			goto yy138;
		} else {
			if (yych <= 'F') goto yy150;
			if (yych <= '`') goto yy138;
			if (yych <= 'f') goto yy150;
			goto yy138;
		}
yy147:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy138;
			if (yych <= '9') goto yy151;
			goto yy138;
		} else {
			if (yych <= 'F') goto yy151;
			if (yych <= '`') goto yy138;
			if (yych <= 'f') goto yy151;
			goto yy138;
		}
yy148:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy138;
			if (yych <= '9') goto yy152;
			goto yy138;
		} else {
			if (yych <= 'F') goto yy152;
			if (yych <= '`') goto yy138;
			if (yych <= 'f') goto yy152;
			goto yy138;
		}
yy149:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy138;
			if (yych <= '9') goto yy153;
			goto yy138;
		} else {
			if (yych <= 'F') goto yy153;
			if (yych <= '`') goto yy138;
			if (yych <= 'f') goto yy153;
			goto yy138;
		}
yy150:
		++YYCURSOR;
		{
		int utf16 = php_json_ucs2_to_int(s, 2);
		PHP_JSON_SCANNER_COPY_UTF();
		*(s->pstr++) = (unsigned char) utf16;
		s->str_start = s->cursor;
		PHP_JSON_CONDITION_GOTO_STR_P2();
	}
yy151:
		++YYCURSOR;
		{
		int utf16 = php_json_ucs2_to_int(s, 3);
		PHP_JSON_SCANNER_COPY_UTF();
		*(s->pstr++) = (unsigned char) (0xc0 | (utf16 >> 6));
		*(s->pstr++) = (unsigned char) (0x80 | (utf16 & 0x3f));
		s->str_start = s->cursor;
		PHP_JSON_CONDITION_GOTO_STR_P2();
	}
yy152:
		++YYCURSOR;
		{
		int utf16 = php_json_ucs2_to_int(s, 4);
		PHP_JSON_SCANNER_COPY_UTF();
		*(s->pstr++) = (unsigned char) (0xe0 | (utf16 >> 12));
		*(s->pstr++) = (unsigned char) (0x80 | ((utf16 >> 6) & 0x3f));
		*(s->pstr++) = (unsigned char) (0x80 | (utf16 & 0x3f));
		s->str_start = s->cursor;
		PHP_JSON_CONDITION_GOTO_STR_P2();
	}
yy153:
		yych = *++YYCURSOR;
		if (yych != '\\') goto yy138;
		yych = *++YYCURSOR;
		if (yych != 'u') goto yy138;
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy154;
		if (yych != 'd') goto yy138;
yy154:
		yych = *++YYCURSOR;
		if (yych <= 'B') goto yy138;
		if (yych <= 'F') goto yy155;
		if (yych <= 'b') goto yy138;
		if (yych >= 'g') goto yy138;
yy155:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy138;
			if (yych >= ':') goto yy138;
		} else {
			if (yych <= 'F') goto yy156;
			if (yych <= '`') goto yy138;
			if (yych >= 'g') goto yy138;
		}
yy156:
		yych = *++YYCURSOR;
		if (yych <= '@') {
			if (yych <= '/') goto yy138;
			if (yych >= ':') goto yy138;
		} else {
			if (yych <= 'F') goto yy157;
			if (yych <= '`') goto yy138;
			if (yych >= 'g') goto yy138;
		}
yy157:
		++YYCURSOR;
		{
		int utf32, utf16_hi, utf16_lo;
		utf16_hi = php_json_ucs2_to_int(s, 4);
		utf16_lo = php_json_ucs2_to_int_ex(s, 4, 7);
		utf32 = ((utf16_lo & 0x3FF) << 10) + (utf16_hi & 0x3FF) + 0x10000;
		PHP_JSON_SCANNER_COPY_UTF_SP();
		*(s->pstr++) = (unsigned char) (0xf0 | (utf32 >> 18));
		*(s->pstr++) = (unsigned char) (0x80 | ((utf32 >> 12) & 0x3f));
		*(s->pstr++) = (unsigned char) (0x80 | ((utf32 >> 6) & 0x3f));
		*(s->pstr++) = (unsigned char) (0x80 | (utf32 & 0x3f));
		s->str_start = s->cursor;
		PHP_JSON_CONDITION_GOTO_STR_P2();
	}
	}


}
